Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.selectvalues
Class SelectMetadataChange

    java.lang.Object
      org.pentaho.di.trans.steps.selectvalues.SelectMetadataChange

All Implemented Interfaces:
  Cloneable, org.pentaho.di.core.xml.XMLInterface

    public class SelectMetadataChange

extends Object
implements Cloneable, org.pentaho.di.core.xml.XMLInterface

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`SelectMetadataChange()`
`SelectMetadataChange(Node metaNode)`
`SelectMetadataChange(String name, String rename, int type, int length, int precision, int storageType, String conversionMask, String decimalSymbol, String groupingSymbol, String currencySymbol)`

Method Summary
`SelectMetadataChange` | `clone()`
`String` | `getConversionMask()`
`String` | `getCurrencySymbol()`
`String` | `getDecimalSymbol()`
`String` | `getGroupingSymbol()`
`int` | `getLength()`
`String` | `getName()`
`int` | `getPrecision()`
`String` | `getRename()`
`int` | `getStorageType()`
`int` | `getType()`
`String` | `getXML()`
`void` | `setConversionMask(String conversionMask)`
`void` | `setCurrencySymbol(String currencySymbol)`
`void` | `setDecimalSymbol(String decimalSymbol)`
`void` | `setGroupingSymbol(String groupingSymbol)`
`void` | `setLength(int length)`
`void` | `setName(String name)`
`void` | `setPrecision(int precision)`
`void` | `setRename(String rename)`
`void` | `setStorageType(int storageType)`
`void` | `setType(int type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### SelectMetadataChange

    public SelectMetadataChange()

### SelectMetadataChange

    public SelectMetadataChange(String name,
                                String rename,
                                int type,
                                int length,
                                int precision,
                                int storageType,
                                String conversionMask,
                                String decimalSymbol,
                                String groupingSymbol,
                                String currencySymbol)

Parameters:
  `name` -
  `rename` -
  `type` -
  `length` -
  `precision` -
  `storageType` -
  `conversionMask` -
  `decimalSymbol` -
  `groupingSymbol` -
  `currencySymbol` -

### SelectMetadataChange

    public SelectMetadataChange(Node metaNode)

Method Detail

### getXML

    public String getXML()

  Specified by:
    `getXML` in interface `org.pentaho.di.core.xml.XMLInterface`

### clone

    public SelectMetadataChange clone()

  Overrides:
    `clone` in class `Object`

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

### getRename

    public String getRename()

  Returns:
    the rename

### setRename

    public void setRename(String rename)

  Parameters:
    `rename` - the rename to set

### getType

    public int getType()

  Returns:
    the type

### setType

    public void setType(int type)

  Parameters:
    `type` - the type to set

### getLength

    public int getLength()

  Returns:
    the length

### setLength

    public void setLength(int length)

  Parameters:
    `length` - the length to set

### getPrecision

    public int getPrecision()

  Returns:
    the precision

### setPrecision

    public void setPrecision(int precision)

  Parameters:
    `precision` - the precision to set

### getStorageType

    public int getStorageType()

  Returns:
    the storageType

### setStorageType

    public void setStorageType(int storageType)

  Parameters:
    `storageType` - the storageType to set

### getConversionMask

    public String getConversionMask()

  Returns:
    the conversionMask

### setConversionMask

    public void setConversionMask(String conversionMask)

  Parameters:
    `conversionMask` - the conversionMask to set

### getDecimalSymbol

    public String getDecimalSymbol()

  Returns:
    the decimalSymbol

### setDecimalSymbol

    public void setDecimalSymbol(String decimalSymbol)

  Parameters:
    `decimalSymbol` - the decimalSymbol to set

### getGroupingSymbol

    public String getGroupingSymbol()

  Returns:
    the groupingSymbol

### setGroupingSymbol

    public void setGroupingSymbol(String groupingSymbol)

  Parameters:
    `groupingSymbol` - the groupingSymbol to set

### getCurrencySymbol

    public String getCurrencySymbol()

  Returns:
    the currencySymbol

### setCurrencySymbol

    public void setCurrencySymbol(String currencySymbol)

  Parameters:
    `currencySymbol` - the currencySymbol to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD